import { cx_ui } from "./cx-ui";
import { dictionary } from "./dictionary";
import { phrase } from "./phrase";
import { selector } from "./selector.js";
import { view } from "./view";

export class shelf extends view {
    show() {
        const back = new phrase("selector.return");
        const return_button = cx_ui.push("return", back, () => {
            this.manager.view = selector;
        });
        
        return return_button;
    }
}